Fedora 40 : pgadmin4 / python-libgravatar (2024-4d4ceb61f7)

high Nessus Plugin ID 197712

Language:

Synopsis

The remote Fedora host is missing one or more security updates.

Description

The remote Fedora 40 host has packages installed that are affected by multiple vulnerabilities as referenced in the FEDORA-2024-4d4ceb61f7 advisory.

Update to pgadmin4-8.6

Tenable has extracted the preceding description block directly from the Fedora security advisory.

Note that Nessus has not tested for these issues but has instead relied only on the application's self-reported version number.

Solution

Update the affected pgadmin4 and / or python-libgravatar packages.

See Also

https://bodhi.fedoraproject.org/updates/FEDORA-2024-4d4ceb61f7

Plugin Details

Severity: High

ID: 197712

File Name: fedora_2024-4d4ceb61f7.nasl

Version: 1.0

Type: local

Agent: unix

Published: 5/23/2024

Updated: 5/23/2024

Supported Sensors: Agentless Assessment, Frictionless Assessment Agent, Nessus Agent, Nessus

Risk Information

VPR

Risk Factor: Medium

Score: 4.0

CVSS v2

Risk Factor: Medium

Base Score: 6.5

Temporal Score: 4.8

Vector: CVSS2#AV:N/AC:L/Au:S/C:P/I:P/A:P

CVSS Score Source: CVE-2024-4216

CVSS v3

Risk Factor: High

Base Score: 7.4

Temporal Score: 6.4

Vector: CVSS:3.0/AV:N/AC:L/PR:L/UI:N/S:C/C:L/I:L/A:L

Temporal Vector: CVSS:3.0/E:U/RL:O/RC:C

Vulnerability Information

CPE: p-cpe:/a:fedoraproject:fedora:pgadmin4, cpe:/o:fedoraproject:fedora:40, p-cpe:/a:fedoraproject:fedora:python-libgravatar

Required KB Items: Host/local_checks_enabled, Host/RedHat/release, Host/RedHat/rpm-list

Exploit Ease: No known exploits are available

Patch Publication Date: 5/14/2024

Vulnerability Publication Date: 5/2/2024

Reference Information

CVE: CVE-2024-4215, CVE-2024-4216